{
  "KeyNames": {
    "NSPro": {
      "All": [
        "Unassigned", "A", "B", "X", "Y", "L", "R", "ZL", "ZR", "Plus", "Minus", "Home", "Capture",
        "L Stick Button", "R Stick Button", "Up", "Down", "Left", "Right"
      ],
      "Gyro": [
        "Unassigned", "A", "B", "X", "Y", "L", "R", "ZL", "ZR", "Plus", "Minus", "Home", "Capture",
        "L Stick Button", "R Stick Button", "Up", "Down", "Left", "Right", "EXB1", "EXB2", "EXB3", "EXB4"
      ]
    },
    "DS4": {
      "All": [
        "Unassigned", "〇", "✕", "△", "□", "L1", "R1", "L2", "R2", "OPTIONS", "Touchpad", "PS",
        "SHARE", "L3", "R3", "Up", "Down", "Left", "Right"
      ],
      "Gyro": [
        "Unassigned", "〇", "✕", "△", "□", "L1", "R1", "L2", "R2", "OPTIONS", "Touchpad", "PS",
        "SHARE", "L3", "R3", "Up", "Down", "Left", "Right", "M1", "M2"
      ]
    },
    "Common": {
      "FC": [
        "Unassigned", "A", "B", "START", "SELECT", "Up", "Down", "Left", "Right"
      ],
      "SFC": [
        "Unassigned", "A", "B", "X", "Y", "L", "R", "START", "SELECT", "Up", "Down", "Left", "Right"
      ],
      "N64": [
        "Unassigned", "A", "B", "C Button Up", "C Button Down", "C Button Left", "C Button Right", "L", "R", "Z",
        "START", "D-Pad Up", "D-Pad Down", "D-Pad Left", "D-Pad Right"
      ],
      "NGC": [
        "Unassigned", "A", "B", "X", "Y", "L", "R", "Z", "START", "Up", "Down", "Left", "Right"
      ]
    }
  }
}
